<?php
class BatchExecution extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'execute' => array( 
'batchResult' => 'out', 
'errorProneMode' => 'integer', 
'commandList' => 'array' 
) 
); 
public function execute(&$x_23b, $x_23c, $x_23d) { 
if (MAX_BATCH_COMMANDS < count($x_23d)) { 
Logger::logWrite(ERRORLOG, __FILE__ . ':' . __LINE__ . ':' . ' Number of commnads in BATCH exceeded max value ' . MAX_BATCH_COMMANDS); 
echo '{"returnValue":false,"errorMessage":"Too many batch commands"}'; 
exit(); 
} 
$x_23b = array(); 
$x_23e = true; 
foreach ($x_23d as $x_23f) { 
if (is_array($x_23f['params'])) { 
$x_23f['params'] = json_encode($x_23f['params']); 
} 
$x_23g = new x_23h($this->x_z3, $x_23f); 
$x_23i = $x_23g->x_23j('', true); 
$x_23b[] = $x_23i; 
$x_23k = $x_23i['returnValue']; 
if ((!$x_23k) && (StopOnError === $x_23c)) { 
return false; 
} 
$x_23e &= $x_23k; 
} 
return (true == $x_23e); 
} 
} 
?>
